var aws = require('aws-sdk');
var endpoint  = 'AWS IoT エンドポイント';

exports.handler = (event, context, callback) => {
    // TODO implement
    
    var iotdata = new aws.IotData( { endpoint: endpoint } );
    var record_url="";
    
    console.log('EVENT:', JSON.stringify(event, null, 2));
    var event_data = event.body.toString().split("&");
    for (var i=0; i<event_data.length; i++){
        var kv = event_data[i].split( "=");
        if (kv[0] == 'RecordingUrl'){
            console.log("URL=" + kv[1])
            record_url = decodeURIComponent(kv[1] );
            console.log("URL decode=" + record_url)
            break;
        }
    }
    var params = {
        topic: '/raspi3/loudspeaker/twilio', /* required */
        payload: record_url || 'STRING_VALUE',
        qos: 0
    };
    iotdata.publish(params, function(err, data) {
        if (err) console.log(err, err.stack); // an error occurred
        else     console.log(data);           // successful response
    });
    
};