var CloudPrint = require('cloud-print');

var aws = require('aws-sdk');
var s3 = new aws.S3({region: 'ap-northeast-1'});

var cloud_print = new CloudPrint(
    {
        service_provider: 'google',
        auth: {
            client_id: 'クライアントID',
            client_secret: 'クライアントシークレット',
            redirect_uri: 'oob',
            access_token: 'アクセストークン',
            refresh_token: 'リフレッシュトークン'
        }
    });

var params = {
    title: 'Print job title',
    content_type: 'url', //optional, default = url
    printer_id: "プリンターID",
};

exports.handler = (event, context, callback) => {
    // TODO implement
    console.log('EVENT:', JSON.stringify(event, null, 2));
    s3params = {
        Bucket: event.Records[0].s3.bucket.name,
        Key: decodeURIComponent(event.Records[0].s3.object.key.replace(/\+/g, ' ')),
        Expires: 60
    }

    s3.getSignedUrl('getObject', s3params, function (err, url) {
        if (err) {
            console.log("S3 URL Get Error:" + err);
        } else {
            console.log("S3 URL Get Success: ", String(url));
            params["content"] = String(url);
            cloud_print.print(params,function(err, response){
                console.log("Submit ");
                if (err) console.log("Print ERROR: ",err);
                else console.log("Print OK: ",response);
            });
        }
    });
};
